Package org.eclipse.cdt.core.resources

# Class ScannerProvider

java.lang.Object
org.eclipse.core.runtime.PlatformObject
org.eclipse.cdt.core.AbstractCExtension
org.eclipse.cdt.core.resources.ScannerProvider

All Implemented Interfaces:
  `ICExtension`, `IElementChangedListener`, `IScannerInfoProvider`, `org.eclipse.core.runtime.IAdaptable`

@Deprecated(forRemoval=true) public class ScannerProvider extends AbstractCExtension implements IScannerInfoProvider, IElementChangedListener
Deprecated, for removal: This API element is subject to removal in a future version.
Since CDT 4.0 replaced by `ScannerInfoProviderProxy`. Still used as a default for projects created by earlier CDT versions.
Provides scanner information from `PathEntryManager`.

Restriction:
  This class is not intended to be subclassed by clients.
Restriction:
  This class is not intended to be instantiated by clients.

## Constructor Summary

Constructors
Constructor
Description
`ScannerProvider()`
Deprecated, for removal: This API element is subject to removal in a future version.

## Method Summary

Modifier and Type
Method
Description
`void`
`elementChanged(ElementChangedEvent event)`
Deprecated, for removal: This API element is subject to removal in a future version.
Notifies that one or more attributes of one or more C elements have changed.
`static IScannerInfoProvider`
`getInstance()`
Deprecated, for removal: This API element is subject to removal in a future version.
`IScannerInfo`
`getScannerInformation(org.eclipse.core.resources.IResource resource)`
Deprecated, for removal: This API element is subject to removal in a future version.
The receiver will answer the current state of the build information for the resource specified in the argument.
`protected boolean`
`isPathEntryChange(ICElementDelta delta)`
Deprecated, for removal: This API element is subject to removal in a future version.
`protected static void`
`notifyInfoListeners(org.eclipse.core.resources.IProject project, IScannerInfo info)`
Deprecated, for removal: This API element is subject to removal in a future version.
`protected void`
`processDelta(ICElementDelta delta)`
Deprecated, for removal: This API element is subject to removal in a future version.
Processes a delta recursively.
`void`
`subscribe(org.eclipse.core.resources.IResource resource, IScannerInfoChangeListener listener)`
Deprecated, for removal: This API element is subject to removal in a future version.
The receiver will register the listener specified in the argument to receive change notifications when the information for the `IResource` it is responsible for changes.
`void`
`unsubscribe(org.eclipse.core.resources.IResource resource, IScannerInfoChangeListener listener)`
Deprecated, for removal: This API element is subject to removal in a future version.
The receiver will no longer notify the listener specified in the argument when information about the reource it is responsible for changes.

### Methods inherited from class org.eclipse.cdt.core.AbstractCExtension

`getConfigExtensionReference, getExtensionReference, getProject, setExtensionReference, setExtensionReference, setProject`

### Methods inherited from class org.eclipse.core.runtime.PlatformObject

`getAdapter`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ScannerProvider

public ScannerProvider()
Deprecated, for removal: This API element is subject to removal in a future version.

## Method Details

### getInstance

public static IScannerInfoProvider getInstance()
Deprecated, for removal: This API element is subject to removal in a future version.

### notifyInfoListeners

protected static void notifyInfoListeners(org.eclipse.core.resources.IProject project, IScannerInfo info)
Deprecated, for removal: This API element is subject to removal in a future version.

Parameters:
  `project` -
  `info` -

### getScannerInformation

public IScannerInfo getScannerInformation(org.eclipse.core.resources.IResource resource)
Deprecated, for removal: This API element is subject to removal in a future version.
Description copied from interface: `IScannerInfoProvider`
The receiver will answer the current state of the build information for the resource specified in the argument.

Specified by:
  `getScannerInformation` in interface `IScannerInfoProvider`

### subscribe

public void subscribe(org.eclipse.core.resources.IResource resource, IScannerInfoChangeListener listener)
Deprecated, for removal: This API element is subject to removal in a future version.
Description copied from interface: `IScannerInfoProvider`
The receiver will register the listener specified in the argument to receive change notifications when the information for the `IResource` it is responsible for changes.

Specified by:
  `subscribe` in interface `IScannerInfoProvider`

### unsubscribe

public void unsubscribe(org.eclipse.core.resources.IResource resource, IScannerInfoChangeListener listener)
Deprecated, for removal: This API element is subject to removal in a future version.
Description copied from interface: `IScannerInfoProvider`
The receiver will no longer notify the listener specified in the argument when information about the reource it is responsible for changes.

Specified by:
  `unsubscribe` in interface `IScannerInfoProvider`

### elementChanged

public void elementChanged(ElementChangedEvent event)
Deprecated, for removal: This API element is subject to removal in a future version.
Description copied from interface: `IElementChangedListener`
Notifies that one or more attributes of one or more C elements have changed. The specific details of the change are described by the given event.

Specified by:
  `elementChanged` in interface `IElementChangedListener`
Parameters:
  `event` - the change event

### isPathEntryChange

protected boolean isPathEntryChange(ICElementDelta delta)
Deprecated, for removal: This API element is subject to removal in a future version.

### processDelta

protected void processDelta(ICElementDelta delta) throws CModelException
Deprecated, for removal: This API element is subject to removal in a future version.
Processes a delta recursively.

Throws:
  `CModelException`